Subject: bug#1158: 23.0.60; vc mode not working under newest Emacs.app

From: Nick Roberts <[email-masked]>
Date: Tue, 14 Oct 2008 20:48:40 +1300

> When I open some file which IS under source control (svn or git), it says
 > 
 > 'Load vc-git...done' or something like that (no errors), but the mode
 > actually
 > 
 > not activated. It's really annoying.
 > 
 > 
 > Any suggestions? Or just some similar situation that have been mentioned
 > here before?

 >...
 > Recent messages:
 > 
 > Loading /Users/neo/.emacs.d/cedet/common/cedet.el (source)...done
 > 
 > ECB 2.33beta2 uses loaded semantic 2.0pre4, eieio 1.0 and speedbar 1.0.1.
 > 
 > Loading /Users/neo/.emacs.d/yaml-mode.el (source)...done
 > 
 > Loading /Users/neo/.emacs.d/nxml-mode/rng-auto.el (source)...done
 > 
 > Loading /Users/neo/.emacs.d/find-recursive.el (source)...done
 > 
 > Loading /Users/neo/.emacs.d/snippet.el (source)...done
 > 
 > Loading /Users/neo/.ecb-user-layouts.el (source)...done
 > 
 > The ECB is now activated.

Have you read the node in the Emacs manual about bug reporting?

In particular what happens if you don't load your .emacs, i.e., start Emacs
with "-q"?

-- 
Nick                                           http://www.inet.net.nz/~nickrob